## glcolorscale glcolorscale |

## Types and Values

struct | GstGLColorscale

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstGLBaseFilter
                            ╰── GstGLFilter
                                ╰── GstGLColorscale

## Description

video frame scaling and colorspace conversion.

### Scaling and Color space conversion

Equivalent to glupload ! gldownload.

### Examples

    1
    gst-launch-1.0 -v videotestsrc ! video/x-raw ! glcolorscale ! ximagesink

A pipeline to test colorspace conversion. FBO is required.

    1
    2
    gst-launch-1.0 -v videotestsrc ! video/x-raw, width=640, height=480, format=AYUV ! glcolorscale ! \
      video/x-raw, width=320, height=240, format=YV12 ! videoconvert ! autovideosink

A pipeline to test hardware scaling and colorspace conversion. FBO and GLSL are required.

## Synopsis

### Element Information

plugin | opengl
author | Julien Isorce <julien.isorce@gmail.com> Matthew Waters <matthew@centricular.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

name | src
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D
| video/x-raw(ANY), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], texture-target=(string)2D

## Functions

## Types and Values

### struct GstGLColorscale

    struct GstGLColorscale;